com.sun.grid.jgdi.monitoring

## Interface QueueInstanceSummary

- All Known Implementing Classes:
    QueueInstanceSummaryImpl

      public interface QueueInstanceSummary

  Implementating classes of this interface represent the results of a qstat command.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArch()` Get the architecture of the queue instance
    `java.util.List<java.lang.String>` | `getExplainMessageList()` Get the list of explain messages
    `int` | `getFreeSlots()` Deprecated.
    `java.util.List<JobSummary>` | `getJobList()` Get the list of jobs which are assigned to the queue instance
    `java.lang.String` | `getLoadAlarmReason()` Get the load alarm reason for the queue instance
    `double` | `getLoadAvg()` Get the load average of the queue instance.
    `java.lang.String` | `getLoadAvgStr()` Get the string representation of the load average
    `java.lang.String` | `getName()` Get the name of the queue instance
    `java.lang.String` | `getQueueType()` Get the type of the queue
    `int` | `getReservedSlots()` Get the number of reserved slots.
    `java.util.Set<java.lang.String>` | `getResourceDominanceSet()` Get avaialable dominances for the resource values
    `java.util.Set<java.lang.String>` | `getResourceNames(java.lang.String dom)` Get all resources names which have the dominane `dom`
    `java.lang.String` | `getResourceValue(java.lang.String dom, java.lang.String name)` Get a resource value
    `java.lang.String` | `getState()` Get the state of the queue instance
    `java.lang.String` | `getSuspendAlarmReason()` Get the suspend alarm reason for the queue instance
    `int` | `getTotalSlots()` Get the number of total slots
    `int` | `getUsedSlots()` Get the number of used slots.
    `boolean` | `hasLoadValue()` Determine if the queue instance has a load value
    `boolean` | `isHasLoadValueFromObject()` Determine if the load value is derived from an object

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Get the name of the queue instance
      Returns:
        name of the queue instance

    - #### getQueueType

          java.lang.String getQueueType()

      Get the type of the queue
      Returns:
        type of the queue

    - #### getReservedSlots

          int getReservedSlots()

      Get the number of reserved slots.
      Returns:
        number of reserved slots

    - #### getUsedSlots

          int getUsedSlots()

      Get the number of used slots.
      Returns:
        number of used slots

    - #### getFreeSlots

          @Deprecated
          int getFreeSlots()

      Deprecated.
      Get the number of free slots (returns not free but total slots -> use getTotalSlots)
      Returns:
        number of free slots

    - #### getTotalSlots

          int getTotalSlots()

      Get the number of total slots
      Returns:
        number of total slots

    - #### getArch

          java.lang.String getArch()

      Get the architecture of the queue instance
      Returns:
        architecture of the queue instance

    - #### getState

          java.lang.String getState()

      Get the state of the queue instance
      Returns:
        state of the queue instance

    - #### getLoadAvgStr

          java.lang.String getLoadAvgStr()

      Get the string representation of the load average
      Returns:
        the string representation of the load average

    - #### hasLoadValue

          boolean hasLoadValue()

      Determine if the queue instance has a load value
      Returns:
        `true` if the queue instance has a load value

    - #### isHasLoadValueFromObject

          boolean isHasLoadValueFromObject()

      Determine if the load value is derived from an object
      Returns:
        `true` if the load value is derived from an object

    - #### getLoadAvg

          double getLoadAvg()

      Get the load average of the queue instance. Return only a meanful value if `hasHasLoadValue` returns `true`.
      Returns:
        The load average of the queue instance
      See Also:
        `hasLoadValue()`

    - #### getJobList

          java.util.List<JobSummary> getJobList()

      Get the list of jobs which are assigned to the queue instance
      Returns:
        list of jobs (instances of `JobSummary`)

    - #### getLoadAlarmReason

          java.lang.String getLoadAlarmReason()

      Get the load alarm reason for the queue instance
      Returns:
        the load alarm reason

    - #### getSuspendAlarmReason

          java.lang.String getSuspendAlarmReason()

      Get the suspend alarm reason for the queue instance
      Returns:
        the suspend alarm reason

    - #### getExplainMessageList

          java.util.List<java.lang.String> getExplainMessageList()

      Get the list of explain messages
      Returns:
        list of explain messages

    - #### getResourceDominanceSet

          java.util.Set<java.lang.String> getResourceDominanceSet()

      Get avaialable dominances for the resource values
      Returns:
        set of avaialable dominances

    - #### getResourceNames

          java.util.Set<java.lang.String> getResourceNames(java.lang.String dom)

      Get all resources names which have the dominane `dom`
      Returns:
        set of resource names

    - #### getResourceValue

          java.lang.String getResourceValue(java.lang.String dom,
                                            java.lang.String name)

      Get a resource value
      Parameters:
        `dom` - dominance of the resource value
        `name` - name of the resource
      Returns:
        the resource value

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.